Bug 20646 - Seg fault on shutdown
Summary: Seg fault on shutdown
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-10 16:32 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:31:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-10 16:32:52 UTC
On an HP XM3 running RH 7.0 (with all published patches applied) generates 
a seg fault at shutdown.  Does not appear to be a pressing problem, as 
system comes back up with clean file systems.  After final message "System 
halted" the following is the seg fault info which comes up (this PC has 
a "Smart Switch" which may not be properly responding to the operating 
system's attempt to do a "soft switch" shutdown, though not sure if a 
malfunctioning "Smart switch" would be severe enough to cause this seg 
fault, or if that's what's actually happening here):

Code <1> Unable to handle kernel NULL pointer dereference at virtual 
address 0000011c

Current-> tss.cr3=03a1a000, %cr3=03a1a000
*pde=00000000
oops: 0000
eip: 0010 [<c010a40d>]
eflags: 00010046
Process halt (pid:1053, process nr: 16, stackpage=c2abdd000)

/etc/rc0.d/S01halt: line 1: 1053 Segmentation Fault  halt -i -d -p

Command being used is:  shutdown -h now

Comment 1 Matt Wilson 2001-01-27 08:32:16 UTC
you likely have a buggy APM BIOS.  Try booting with "linux apm=no"



Note You need to log in before you can comment on or make changes to this bug.